Ubuntu – Rhythmbox missing dependencies on Ubuntu 18.04

Ubuntu – Rhythmbox missing dependencies on Ubuntu 18.04

dependenciespackage-managementrhythmbox

I have a brand new installation of Ubuntu 18.04.

When I try to stream radio Rhythmbox I get the error

Your GStreamer installation is missing a plug-in

I have looked at the dependencies of Rhythmbox using:

apt-cache depends rhythmbox

and checking the libraries one by one using, e.g.

ldconfig -p | grep libgstreamer-plugins-base1.0-0

and this library appear to be missing.

I have downloaded libgstreamer-plugins-base1.0-0_1.16.2-4_amd64.deb and attempted to install it using

sudo dpkg -i libgstreamer-plugins-base1.0-0_1.16.2-4_amd64.deb

But I get th error

dpkg: error processing archive libgstreamer-plugins-base1.0-0_1.16.2-4_amd64.deb (--install):
 conflicting packages - not installing libgstreamer-plugins-base1.0-0:amd64

[Edit 20200418 11:52 BST] 

I also get the message

Additional Multimedia Codec Required
An application is requesting additional multimedia codecs

I have run

sudo apt install ubuntu-restricted-extras 

What can I do?

Best Answer

  • Open Rhythmbox and in the Activities bar at the top left of the screen you will see it listed with a small down arrow by its side.

    enter image description here

    Click on the down arrow and you will be presented with a drop down menu amongst which is listed Plugins.

    enter image description here

    You can then configure plugins as required.

    If there are no plugins present, you can install them by following these steps in a terminal:

    sudo apt-get update -y
    
    sudo apt-get install -y rhythmbox-plugins
    

    The -y flag assumes yes and silently install.

    Reference

  • Add a Comment

    Your email address will not be published. Required fields are marked *